View Issue Details

IDProjectCategoryView StatusLast Update
0006673Talermechant backendpublic2021-09-02 18:23
ReporterChristian Grothoff Assigned ToChristian Grothoff  
PrioritynormalSeveritymajorReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product Versiongit (master) 
Target Version0.8Fixed in Version0.8 
Summary0006673: taler-merchant-httpd and Postgres access rights
Description(1) right now, the merchant-httpd will try to run the CREATE logic on startup. This is a failure in the backenddb plugin design. The API should be changed to allow the httpd to init the plugin without running CREATE.
(2) the Debian package logic runs merchant-dbinit as 'postgres', but then fails to GRANT the merchant user the necessary rights to even SELECT on the tables. So the package must be extended to properly setup the permissions.
TagsNo tags attached.

Activities

Christian Grothoff

2021-01-02 20:41

manager   ~0017297

feb6c3c..7334cfc removes the CREATE logic from taler-merchant-httpd, limiting it to taler-merchant-dbinit.
We still need to add the required GRANTs to the Debian package.

Christian Grothoff

2021-01-02 21:46

manager   ~0017298

Fixed!

Christian Grothoff

2021-09-02 18:23

manager   ~0018366

Fix committed to master branch.

Related Changesets

merchant: master 0ccc6504

2021-01-02 21:21:34

Christian Grothoff

Details Diff
fix 0006673: fix access rights on package install Affected Issues
0006673
mod - debian/conf/apache.conf Diff File
mod - debian/conf/nginx.conf Diff File
mod - debian/db/install/pgsql Diff File
mod - debian/etc/taler-merchant.conf Diff File
mod - debian/taler-merchant.config Diff File
mod - debian/taler-merchant.postinst Diff File
mod - debian/taler-merchant.postrm Diff File
mod - src/merchant-tools/taler-merchant-dbinit.c Diff File

Issue History

Date Modified Username Field Change
2021-01-02 14:11 Christian Grothoff New Issue
2021-01-02 14:11 Christian Grothoff Status new => assigned
2021-01-02 14:11 Christian Grothoff Assigned To => Christian Grothoff
2021-01-02 20:41 Christian Grothoff Note Added: 0017297
2021-01-02 21:46 Christian Grothoff Status assigned => resolved
2021-01-02 21:46 Christian Grothoff Resolution open => fixed
2021-01-02 21:46 Christian Grothoff Fixed in Version => 0.9
2021-01-02 21:46 Christian Grothoff Note Added: 0017298
2021-07-30 13:57 Christian Grothoff Fixed in Version 0.9 => 0.8.1
2021-07-30 13:59 Christian Grothoff Target Version 0.9 => 0.8.1
2021-07-30 14:02 Christian Grothoff Fixed in Version 0.8.1 => 0.8
2021-07-30 14:02 Christian Grothoff Target Version 0.8.1 => 0.8
2021-08-24 16:23 Christian Grothoff Status resolved => closed
2021-09-02 18:22 Christian Grothoff Changeset attached => Taler-merchant master 0ccc6504
2021-09-02 18:23 Christian Grothoff Note Added: 0018366